@Echo off

:TOP
title Eurosport Playlist Eurosport ( FFmpeg / FFplay )
set mode con:cols=70 lines=30
COLOR 0B
cls

IF EXIST %systemdrive%\progra~2\videolan\vlc (SET "vlc=%systemdrive%\progra~2\videolan\vlc\vlc") ELSE (SET "vlc=%systemdrive%\progra~1\videolan\vlc\vlc")

echo.
echo		  FFmpeg				FFplay
echo.
echo ==============================  400 =================================
echo   (1) = EuroSport 1 (De/Uk)		(6) = EuroSport 1 (De/Uk)
echo   (2) = EuroSport 2 (Uk)		(7) = EuroSport 2 (Uk)
echo   (3) = EuroSport HD   Uk		(8) = EuroSport HD   Uk
echo   (4) = EuroSport HD 2 Uk		(9) = EuroSport HD 2 Uk
echo   (5) = EuroSport 1 Sp			(10) = EuroSport 1 Sp
echo.
echo ==============================  700 =================================
echo   (11) = EuroSport 1 (De/Uk)		(16) = EuroSport 1 (De/Uk)
echo   (12) = EuroSport 2 (Uk)		(17) = EuroSport 2 (Uk)
echo   (13) = EuroSport HD   Uk		(18) = EuroSport HD   Uk
echo   (14) = EuroSport HD 2 Uk		(19) = EuroSport HD 2 Uk
echo   (15) = EuroSport 1 Sp			(20) = EuroSport 1 Sp
echo.
echo ============================== 1000 =================================
echo   (21) = EuroSport 1 (De/Uk)		(26) = EuroSport 1 (De/Uk)
echo   (22) = EuroSport 2 (Uk)		(27) = EuroSport 2 (Uk)
echo   (23) = EuroSport HD   Uk		(28) = EuroSport HD   Uk
echo   (24) = EuroSport HD 2 Uk		(29) = EuroSport HD 2 Uk
echo   (25) = EuroSport 1 Sp			(30) = EuroSport 1 Sp
echo.
echo ============================== 1300 =================================
echo   (31) = EuroSport 1 (De/Uk)		(36) = EuroSport 1 (De/Uk)
echo   (32) = EuroSport 2 (Uk)		(37) = EuroSport 2 (Uk)
echo   (33) = EuroSport HD   Uk		(38) = EuroSport HD   Uk
echo   (34) = EuroSport HD 2 Uk		(39) = EuroSport HD 2 Uk
echo   (35) = EuroSport 1 Sp			(40) = EuroSport 1 Sp
echo.
echo ============================== 1800 =================================
echo   (41) = EuroSport 1 (De/Uk)		(46) = EuroSport 1 (De/Uk)
echo   (42) = EuroSport 2 (Uk)		(47) = EuroSport 2 (Uk)
echo   (43) = EuroSport HD   Uk		(48) = EuroSport HD   Uk
echo   (44) = EuroSport HD 2 Uk		(49) = EuroSport HD 2 Uk
echo   (45) = EuroSport 1 Sp			(50) = EuroSport 1 Sp

echo.
echo Choisir un canal entre 1 et 50
echo Choisir 0 pour Quitter
echo.
set /p "Choice=Channel = "

set "MaxChoice=51"

if %Choice% GEQ %MaxChoice% goto Error
if %Choice% LSS %MaxChoice% goto %Choice%

:Error
set mode con:cols=70 lines=30
cls
echo.
echo   Canal %Choice% n'existe pas !
echo.
ping localhost -n 3 >nul
goto TOP

:1
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_400.m3u8"
goto FFMPEG

:2
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_400.m3u8"
goto FFMPEG

:3
set "Channel=Eurosport 1 HD UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_400.m3u8"
goto FFMPEG

:4
set "Channel=Eurosport 2 HD UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_400.m3u8"
goto FFMPEG

:5
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_400.m3u8"
goto FFMPEG

:6
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_400.m3u8"
goto FFPLAY

:7
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_400.m3u8"
goto FFPLAY

:8
set "Channel=Eurosport 1 UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_400.m3u8"
goto FFPLAY

:9
set "Channel=Eurosport 2 UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_400.m3u8"
goto FFPLAY

:10
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_400.m3u8"
goto FFPLAY

:11
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_700.m3u8"
goto FFMPEG

:12
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_700.m3u8"
goto FFMPEG

:13
set "Channel=Eurosport 1 HD UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_700.m3u8"
goto FFMPEG

:14
set "Channel=Eurosport 2 HD UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_700.m3u8"
goto FFMPEG

:15
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_700.m3u8"
goto FFMPEG

:16
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_700.m3u8"
goto FFPLAY

:17
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_700.m3u8"
goto FFPLAY

:18
set "Channel=Eurosport 1 UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_700.m3u8"
goto FFPLAY

:19
set "Channel=Eurosport 2 UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_700.m3u8"
goto FFPLAY

:20
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_700.m3u8"
goto FFPLAY

:21
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1000.m3u8"
goto FFMPEG

:22
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1000.m3u8"
goto FFMPEG

:23
set "Channel=Eurosport 1 HD UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1000.m3u8"
goto FFMPEG

:24
set "Channel=Eurosport 2 HD UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1000.m3u8"
goto FFMPEG

:25
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1000.m3u8"
goto FFMPEG

:26
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1000.m3u8"
goto FFPLAY

:27
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1000.m3u8"
goto FFPLAY

:28
set "Channel=Eurosport 1 UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1000.m3u8"
goto FFPLAY

:29
set "Channel=Eurosport 2 UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1000.m3u8"
goto FFPLAY

:30
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1000.m3u8"
goto FFPLAY

:31
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1300.m3u8"
goto FFMPEG

:32
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1300.m3u8"
goto FFMPEG

:33
set "Channel=Eurosport 1 HD UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1300.m3u8"
goto FFMPEG

:34
set "Channel=Eurosport 2 HD UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1300.m3u8"
goto FFMPEG

:35
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1300.m3u8"
goto FFMPEG

:36
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1300.m3u8"
goto FFPLAY

:37
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1300.m3u8"
goto FFPLAY

:38
set "Channel=Eurosport 1 UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1300.m3u8"
goto FFPLAY

:39
set "Channel=Eurosport 2 UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1300.m3u8"
goto FFPLAY

:40
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1300.m3u8"
goto FFPLAY

:41
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1800.m3u8"
goto FFMPEG

:42
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1800.m3u8"
goto FFMPEG

:43
set "Channel=Eurosport 1 HD UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1800.m3u8"
goto FFMPEG

:44
set "Channel=Eurosport 2 HD UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1800.m3u8"
goto FFMPEG

:45
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1800.m3u8"
goto FFMPEG

:46
set "Channel=EuroSport 1"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201149/AL_ESP1_INT_ENG/playlist_1800.m3u8"
goto FFPLAY

:47
set "Channel=EuroSport 2"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/201150/AL_ESP2_INT_ENG/playlist_1800.m3u8"
goto FFPLAY

:48
set "Channel=Eurosport 1 UK"
set "Stream=http://esioslive2-i.akamaihd.net/hls/live/200728/AL_ESP1_UK_ENG/playlist_1800.m3u8"
goto FFPLAY

:49
set "Channel=Eurosport 2 UK"
set "Stream=http://esioslive4-i.akamaihd.net/hls/live/200736/AL_ESP2_UK_ENG/playlist_1800.m3u8"
goto FFPLAY

:50
set "Channel=Eurosport 1 SP"
set "Stream=http://esioslive-i.akamaihd.net/hls/live/201630/AL_ESP1_SP_SPA/playlist_1800.m3u8"
goto FFPLAY

:FFMPEG
set mode con:cols=70 lines=30
ffmpeg -re -i "%Stream%"  -acodec copy -vcodec copy -f mpegts pipe: | %vlc% --meta-title="%Channel%" --file-caching=10000 -
cls
goto TOP

:FFPLAY
set mode con:cols=70 lines=30
ffplay -i "%Stream%" -x 750 -y 550 -window_title "%Channel%        Controles: (F) Plein Ecran, (P) Pause ."
cls
goto TOP



